All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
adcUdt Struct Reference

Wrapper structure for AdcUdt. More...

`#include <src/c_wrapper/pruio.h>`

Collaboration diagram for adcUdt:
[legend]

## Public Attributes

pruIo * | Top
| pointer to the calling PruIo instance
adcSet * | Init
| initial device configuration, used in the destructor PruIo:~PruIo()
adcSet * | Conf
| current device configuration, used in PruIo::config()
uint32 | Samples
| number of samples (specifies run mode: 0 = config, 1 = IO mode, >1 = MM mode)
uint32 | TimerVal
| timer value in [ns]
uint32 | InitParA
| offset to read data block offset
uint16 | LslMode
| bit shift modus (0 to 4, for 12 to 16 bits)
uint16 | ChAz
| the number of active steps
uint16 * | Value
| fetched ADC samples

## Detailed Description

Wrapper structure for AdcUdt.

Since
  0.2

Definition at line 120 of file pruio.h.

The documentation for this struct was generated from the following file:

- src/c_wrapper/pruio.h